Candidates
Enrich candidate contacts
Start phone or email enrichment for the talent behind a candidate.
POST
/
v1
/
candidates
/
{candidateId}
/
enrich-contacts
Enrich candidate contacts
curl --request POST \
--url https://app.kalent.ai/api/v1/candidates/{candidateId}/enrich-contacts \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"enrichmentType": "<string>"
}
'import requests
url = "https://app.kalent.ai/api/v1/candidates/{candidateId}/enrich-contacts"
payload = { "enrichmentType": "<string>" }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({enrichmentType: '<string>'})
};
fetch('https://app.kalent.ai/api/v1/candidates/{candidateId}/enrich-contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
First time? Set up Authentication
Learn how to authenticate your API requests with your API key.
Path parameters
string
required
Candidate id in your workspace.
Request body
string
required
One of
phone, personalEmail, or all.Response
Whensuccess is true, data includes candidateId, talentId, and enrichmentType (mirrors the request kind).
Errors
| Code | HTTP |
|---|---|
validation_error | 400 |
missing_enrich_providers | 400 |
insufficient_credits | 402 |
not_found | 404 |
internal_error | 500 |
curl -X POST https://app.kalent.ai/api/v1/candidates/CANDIDATE_ID/enrich-contacts \
-H "Content-Type: application/json" \
-H "x-api-key: YOUR_API_KEY" \
-d '{"enrichmentType":"all"}'
⌘I
Enrich candidate contacts

